Page MenuHomePhabricator

Add monolingual language code clc (Tsilhqotʹin)
Closed, ResolvedPublic

Description

Please add the language code clc (Tsilhqotʹin) to the list of language codes supported for monolingual text values.

  • The language code: clc
  • Language name in the language itself or English: Tsilhqotʹin
  • The used script, if not obvious: Latin
  • Where and when the language was or is used: In use by the Tsilhqotʹin people, in Canada
  • The Wikidata item id: Q28535
  • To use for P1559 (name in native language) on Q27733746 (Helen Haig-Brown)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2019, 9:32 PM

@GerardM @jhsoby What's the opinion of the LangCom? I can see it's an official ISO 693-3 code for Chilcotin/Tsilhqot’in

A code is a must have.

Ok from LangCom.

Change 533598 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/extensions/Wikibase@master] Add several monolingual languages

https://gerrit.wikimedia.org/r/533598

jhsoby claimed this task.Sep 2 2019, 7:41 AM

Change 533598 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add several monolingual languages

https://gerrit.wikimedia.org/r/533598

Adding a value using the language code works, but the language code is not shown, just a code. This probably requires a change outside of Wikibase software.

WMDE-leszek closed this task as Resolved.Sep 11 2019, 11:22 AM